#ifndef __USB_H__
#define __USB_H__

void usb_init();
void usb_IN();
void usb_OUT_done();

int ShowString(const char *fmt, ...);
void ShowLong(long n, char radix);
void ShowFloat(float f);
void ShowCode(BYTE *cod);
int printf_hid (const char *fmt, ...);

#if defined PRINTF_SEGLED
#define printf  ShowString
#elif defined PRINTF_HID
#define printf  printf_hid
#endif


extern BYTE xdata UsbFeatureBuffer[64];
extern BYTE xdata UsbInBuffer[64];
extern BYTE xdata UsbOutBuffer[64];
extern BOOL bUsbFeatureReady;
extern BOOL bUsbInBusy;
extern BOOL bUsbOutReady;


#endif
